Apache Tomcat 6.0.51

## org.apache.catalina.util
Class ServerInfo

    java.lang.Object
      org.apache.catalina.util.ServerInfo

    public class ServerInfo

extends java.lang.Object

Simple utility module to make it easy to plug in the server identifier when integrating Tomcat.

Author:
  Craig R. McClanahan

Constructor Summary
`ServerInfo()`

Method Summary
`static java.lang.String` | `getServerBuilt()` Return the server built time for this version of Tomcat.
`static java.lang.String` | `getServerInfo()` Return the server identification for this version of Tomcat.
`static java.lang.String` | `getServerNumber()` Return the server's version number.
`static void` | `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServerInfo

    public ServerInfo()

Method Detail

### getServerInfo

    public static java.lang.String getServerInfo()

  Return the server identification for this version of Tomcat.

### getServerBuilt

    public static java.lang.String getServerBuilt()

  Return the server built time for this version of Tomcat.

### getServerNumber

    public static java.lang.String getServerNumber()

  Return the server's version number.

### main

    public static void main(java.lang.String[] args)

Apache Tomcat 6.0.51

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.